//
//  GLMagneticDeclination.h
//  GLGeometryKit
//
//  Created by Jeffrey Early on 8/23/11.
//  Copyright 2011 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLGeometryTypes.h>

//GLMagneticDeclination *magDec = [[GLMagneticDeclination alloc] init];
//GLPoint aPoint = GLMakePoint(-123.123, 47.5);
//NSDateComponents *comps = [[NSDateComponents alloc] init]; comps.year=1973; comps.month=8; comps.day=28;
//NSCalendar *cal = [[NSCalendar alloc] initWithCalendarIdentifier: NSGregorianCalendar];
//double declination = [magDec declinationForLatitudeLongitude:aPoint onDate: [cal dateFromComponents: comps]];
//NSLog(@"Magnetic declination for %@ is %f", NSStringFromGLPoint(aPoint), declination);

@interface GLMagneticDeclination : NSObject {

}

- (double) declinationForLatitudeLongitude: (GLPoint) aPoint onDate: (NSDate *) aDate;
- (double) declinationForLatitudeLongitude: (GLPoint) aPoint onDate: (NSDate *) aDate atAltitude: (double) altitude;

@end
